Debian Bug report logs - #659659
current version of ifconfig breaks D-I

version graph

Package: freebsd-net-tools-udeb; Maintainer for freebsd-net-tools-udeb is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-net-tools-udeb is src:freebsd-utils.

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 12 Feb 2012 21:45:02 UTC

Severity: grave

Found in version freebsd-utils/9.0-1

Fixed in version freebsd-utils/9.0-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#659659; Package freebsd-net-tools-udeb. (Sun, 12 Feb 2012 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Feb 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: current version of ifconfig breaks D-I
Date: Sun, 12 Feb 2012 22:42:35 +0100
Package: freebsd-net-tools-udeb
Version: 9.0-1
Severity: grave

udhcpc expects this to work, but it doesn't:

$ sudo ifconfig xl0 inet 0.0.0.0
ifconfig: can't set link-level netmask or broadcast

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added indication that bug 659659 blocks 660022 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 07:15:09 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 21 Feb 2012 18:21:04 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 19:48:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 20:03:07 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 26 Feb 2012 13:37:09 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 26 Feb 2012 13:37:10 GMT) Full text and rfc822 format available.

Message #18 received at 659659-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 659659-close@bugs.debian.org
Subject: Bug#659659: fixed in freebsd-utils 9.0-2
Date: Sun, 26 Feb 2012 13:32:49 +0000
Source: freebsd-utils
Source-Version: 9.0-2

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/devd_9.0-2_kfreebsd-amd64.deb
freebsd-geom_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-geom_9.0-2_kfreebsd-amd64.deb
freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
freebsd-ppp_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-ppp_9.0-2_kfreebsd-amd64.deb
freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
freebsd-utils_9.0-2.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_9.0-2.debian.tar.gz
freebsd-utils_9.0-2.dsc
  to main/f/freebsd-utils/freebsd-utils_9.0-2.dsc
freebsd-utils_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_9.0-2_kfreebsd-amd64.deb
geom_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/geom_9.0-2_kfreebsd-amd64.deb
kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
kbdcontrol_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_9.0-2_kfreebsd-amd64.deb
kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
kldutils_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_9.0-2_kfreebsd-amd64.deb
ktrace_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/ktrace_9.0-2_kfreebsd-amd64.deb
mkuzip_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/mkuzip_9.0-2_kfreebsd-amd64.deb
pf_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/pf_9.0-2_kfreebsd-amd64.deb
powerd_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/powerd_9.0-2_kfreebsd-amd64.deb
vidcontrol_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_9.0-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Feb 2012 21:01:34 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common geom freebsd-geom freebsd-ppp devd ktrace pf powerd mkuzip
Architecture: source kfreebsd-amd64
Version: 9.0-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 freebsd-geom - modular disk I/O request transformation framework (meta-package)
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 geom       - modular disk I/O request transformation framework
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 mkuzip     - Disk image compression utility
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 650978 659659
Changes: 
 freebsd-utils (9.0-2) unstable; urgency=low
 .
   * Rename freebsd-geom to geom.
   * Add geli(8) symlink.
   * Add init script for GELI.
   * Remove tmp_glibc.diff, build-depend on libc0.1-dev 2.13-26 instead.
   * Remove workarounds for lack of execvP(), build-depend on
     freebsd-buildutils >= 9.0-7 instead. (Closes: #650978)
   * Build with backward-compatible feature_present().  (Closes: #659659)
Checksums-Sha1: 
 ade25fc0c14c3288144ec67e17df3bf574f4aeb9 2647 freebsd-utils_9.0-2.dsc
 47457b752d091b64a7f3a02cc44620ada22ae3e2 143772 freebsd-utils_9.0-2.debian.tar.gz
 3b9d0333975cfd5081edf8beb779736f5e7d91e3 262118 freebsd-utils_9.0-2_kfreebsd-amd64.deb
 5c49e4a224ac2b5c5bc8d750ad6066874f9f90fb 14730 freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 7b7cc656943b9cfb30ad1a9f2cb97b98eb2ec5a7 38590 kldutils_9.0-2_kfreebsd-amd64.deb
 e8d3364b1dd7d4d14db195ab51a7c97e15843246 7420 kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 b75210e888616e78f19456f09e26c5fe393a0368 126394 kbdcontrol_9.0-2_kfreebsd-amd64.deb
 1b2b8a3f31bd15092bcc96cac08113ed4403944c 94160 kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 d7a428b1e9cf63511cfcd1239a0368ac44e5dc2a 124312 vidcontrol_9.0-2_kfreebsd-amd64.deb
 bffa46caa63a78c286cbfcc6f256a79314521cc0 225952 freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 d28965403c27109383fcba2c1dfb76dccdcb628d 84052 freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 b149a5c567bd28b0d25e53cb920b0e3184c76bfa 69046 freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 3cd54f8ef40d1b33134836ecdc62c362184a105c 77836 freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 e093bb1aeac578775c3a1f598245597f0acdf893 160158 geom_9.0-2_kfreebsd-amd64.deb
 e6fa13a30a26bc453f06c75105236dfcc07c96ad 21648 freebsd-geom_9.0-2_kfreebsd-amd64.deb
 a26c2e54dd6ebff0c61c2b0399ccc2fd0587feeb 276678 freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 1e78dcc7fb0d254f4c2ea8316c8df3bc174db01c 68534 devd_9.0-2_kfreebsd-amd64.deb
 fb31d2a22c6864cf52081df02075f1462b321e34 55212 ktrace_9.0-2_kfreebsd-amd64.deb
 185dd1b8420c16a138c55e0584581e48e91af77a 199284 pf_9.0-2_kfreebsd-amd64.deb
 294ed876b2b67b9c9e266ae72ebf4566a275b358 32336 powerd_9.0-2_kfreebsd-amd64.deb
 6947a32124b8f8725936c18494cde9fec8c86a3f 27086 mkuzip_9.0-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 d850507e2ce7f9bb7d61a60a7add77e7a7ae1986fcde56a273a31c6e3dc13a0e 2647 freebsd-utils_9.0-2.dsc
 64d4c5a94ce7477164b355883b1d7410ca83da1c375327effabb5a5ec5d8599a 143772 freebsd-utils_9.0-2.debian.tar.gz
 cd7f531084837e07823848aef3bf7193c193f3e99b1ed50704e2d69819066381 262118 freebsd-utils_9.0-2_kfreebsd-amd64.deb
 03989206c19bae5cdbcd7ab143de86ecd80eee78a2fd9b95f5f6c8ff013b17d5 14730 freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 ccfba561d8690179f7dc8f60dd00ca7b73bfdeba5d8a5d8825f58deaf574901f 38590 kldutils_9.0-2_kfreebsd-amd64.deb
 f6e897f827081a15b22973bdd7c41310257fd1425ced37ed2b63bc6090e9fd43 7420 kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 4734e70ce50f0f53649ff839a7cf9a8a29b16f47968ba6c8a680b5462d4f2a9d 126394 kbdcontrol_9.0-2_kfreebsd-amd64.deb
 8049d380431e7a04950c6bdbeba217238475cfe9f1ce5b76ff86e358bddebdf3 94160 kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 13b8a99136f97186cdf1dd1629b088997c581cbd6b10f8774c07bd5892170e09 124312 vidcontrol_9.0-2_kfreebsd-amd64.deb
 267a12b42a8b13dac3067337de4a7cb8287723691eb4a17c67727ba13458880c 225952 freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 06e5045d5425f4e779fb25c30851e8335686481b2366c0fb60ad24669018a90b 84052 freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 79215c4dcef14b982d18b5ef61cb5b7e4ee7968bb7722394e24c9a1d9392d584 69046 freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 3099272d9bf74b75de4fe3f21fdc60e748c1d0e0be87d51a72097353ed239906 77836 freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 eb3da6d061739ceb1a78d62f13b8d6a1743edd7e233b1622daf45f17b84b9663 160158 geom_9.0-2_kfreebsd-amd64.deb
 24d42a8169b4d40d4d85b307adde9cdb2b39fbf41d7421e7f65566af7288b3b7 21648 freebsd-geom_9.0-2_kfreebsd-amd64.deb
 43c47c13029aea7a5d34e09d2c0b0d03e1f88d00a44d6d9d550899d82dcc62f4 276678 freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 3446c4db70ff99d80d842a568cf1a74c8d2477bb6f50f596c6f6c46264463ac5 68534 devd_9.0-2_kfreebsd-amd64.deb
 02e3a7ffb15c59b3b05b2d250e44205755bd14477872dc0abe1c19ab7461cc82 55212 ktrace_9.0-2_kfreebsd-amd64.deb
 dbb7fc1c074fa890d15930abad57cef78a7706eb19a94fc4922c530bdaaf12df 199284 pf_9.0-2_kfreebsd-amd64.deb
 1fca7bafdae91e8a7fa73428f277e78cb7517e054444fb2970b645c302c00900 32336 powerd_9.0-2_kfreebsd-amd64.deb
 087a20418fcbdac477bcc7674e3d140d2a627d945d7c0e56cd6b8b141fd9e1ff 27086 mkuzip_9.0-2_kfreebsd-amd64.deb
Files: 
 30408fdb56521e83abf57ed3234b7deb 2647 utils important freebsd-utils_9.0-2.dsc
 29fdbdab3f41fccab326b245864d4f9b 143772 utils important freebsd-utils_9.0-2.debian.tar.gz
 0cec7733bd719c5969804f6054197e92 262118 utils required freebsd-utils_9.0-2_kfreebsd-amd64.deb
 f7e0fbf5bb9ccad80bd4062117348703 14730 debian-installer optional freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 20420569801fd531a014f3803f5c1b83 38590 utils important kldutils_9.0-2_kfreebsd-amd64.deb
 a116eaa3baa1087fe71c3bc5498d8e11 7420 debian-installer optional kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 1c83ed3c0576ffcb525697c4f76a4b4b 126394 utils important kbdcontrol_9.0-2_kfreebsd-amd64.deb
 41c559b25d454eff34b09b713b0f127b 94160 debian-installer important kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 314bbcfb590f77a85b16a19bf7044368 124312 utils important vidcontrol_9.0-2_kfreebsd-amd64.deb
 2b65704acff8756c7c7c684808812b30 225952 net important freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 d54298d12b8ecf329b74ac40541db7f2 84052 debian-installer important freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 9c5132f9436c216a7cc71ff59cd12a92 69046 net optional freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 f2bcbf713979531e3e27059c34821f7d 77836 net standard freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 09bc2a93e7b695a443c865cae07a9585 160158 admin standard geom_9.0-2_kfreebsd-amd64.deb
 4dadef37eb452ce9a35a391ebdf6df57 21648 admin extra freebsd-geom_9.0-2_kfreebsd-amd64.deb
 db15ce3911ffa5a82485727e5ba27121 276678 net optional freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 4b94906e6bdc57b6ef067f6992b88665 68534 admin important devd_9.0-2_kfreebsd-amd64.deb
 18597819b67ef26c44827d4175530c82 55212 utils optional ktrace_9.0-2_kfreebsd-amd64.deb
 1d8ec2575cb58cb1dbdaf9239ec93b3f 199284 net important pf_9.0-2_kfreebsd-amd64.deb
 7a7702164266da239af33312aa12f9cc 32336 admin optional powerd_9.0-2_kfreebsd-amd64.deb
 175fb4d3cd1b7d00198f534f9a7ba81d 27086 misc extra mkuzip_9.0-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9GnC0ACgkQC19io6rUCv8ShACfeHX0Te4x2P4sZF4XXW1OQspx
W6MAn1Id6cYTctyl1G2ky+7DLmfqyTdb
=e9/z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Mar 2012 07:37:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:16:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.